E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::StringMapReader Class Reference

An adaptor for reading a const map<string,string> with at(key). More...

`#include <gstrings.h>`

## Public Member Functions
| StringMapReader (const StringMap &map_)
| Implicit constructor.
const std::string & | at (const std::string &key) const
| Returns the value from the map, or throws.
const std::string & | at (const std::string &key, const std::string &default_) const
| Returns the value from the map, or the default.
StringArray | keys (unsigned int limit=0U, const char *elipsis=nullptr) const
| Returns a list of the keys in the map (optionally up to some limit).

## Detailed Description

An adaptor for reading a const map<string,string> with at(key).

Definition at line 45 of file gstrings.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gstrings.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gstrings.cpp